import '../styles/globals.css';
import '../firebase';
import { AuthProvider } from '../src/context/hooks/auth';
import AuthStateChanged from '../src/layout/AuthStateChanged';

function MyApp({ Component, pageProps }: any) {
  return (
    <AuthProvider>
      <AuthStateChanged>
        <Component {...pageProps} />
      </AuthStateChanged>
    </AuthProvider>
  );
}

export default MyApp;
