import firebase from 'firebase/app';
import 'firebase/auth';
import React, { useEffect } from 'react';
import useAuth from '../context/hooks/auth';

export default function AuthStateChanged({ children }: any) {
  const { setUser }: any = useAuth();

  useEffect(() => {
    firebase.auth().onAuthStateChanged((user: any) => {
      setUser(user);
    });
    //eslint-disable-next-line
  }, []);

  return children;
}
