import 'firebase/auth';
import { createContext, useContext, useState } from 'react';

const authContext = createContext({} as any);

export default function useAuth() {
  return useContext(authContext);
}

export function AuthProvider(props: any) {
  const [user, setUser] = useState<any>();

  const value = {
    user,
    setUser
  };

  return <authContext.Provider value={value} {...props} />;
}
